# OgreMaterialSerializer.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreMaterial.h"`
`#include "OgreBlendMode.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreStringVector.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef bool(* | ATTRIBUTE_PARSER )(String &params, MaterialScriptContext &context)
| Function def for material attribute parser; return value determines if the next line should be {.

## Enumerations

enum | MaterialScriptSection { MSS_NONE, MSS_MATERIAL, MSS_TECHNIQUE, MSS_PASS, MSS_TEXTUREUNIT, MSS_PROGRAM_REF, MSS_PROGRAM, MSS_DEFAULT_PARAMETERS, MSS_TEXTURESOURCE }
| Enum to identify material sections. More...

## Typedef Documentation

typedef bool(* Ogre::ATTRIBUTE_PARSER)(String &params, MaterialScriptContext &context)

| Function def for material attribute parser; return value determines if the next line should be {. Definition at line 91 of file OgreMaterialSerializer.h.

## Enumeration Type Documentation

enum Ogre::MaterialScriptSection

Enum to identify material sections.

Enumeration values:

  MSS_NONE |
  MSS_MATERIAL |
  MSS_TECHNIQUE |
  MSS_PASS |
  MSS_TEXTUREUNIT |
  MSS_PROGRAM_REF |
  MSS_PROGRAM |
  MSS_DEFAULT_PARAMETERS |
  MSS_TEXTURESOURCE |

Definition at line 38 of file OgreMaterialSerializer.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 17 15:39:13 2006